#pragma once
#include "Person.h"
#include <vector>
#include "Colors.h"
#include "Location.h"

class SpaceStation
{
public:
	SpaceStation();
	SpaceStation(Location l, Color c);
	Color get_colour();
public:
	std::vector<Person> people;
private:
	Location loc;
	Color colour;
	int health = 50;
	int food = 0;
	int uranium = 0;
	int antimatter = 0;
	int dark_matter = 0;
	int antimatter_bombs = 0;
	int nuclear_missiles = 0;
	int warp_engines = 0;
};