#pragma once
#include "Rect.h"

const int SCREEN_WIDTH = 1551;
const int SCREEN_HEIGHT = 800;
const int GALAXY_WIDTH = 25;
const int GALAXY_HEIGHT = 16;
const int GALAXY_SIZE = GALAXY_HEIGHT * GALAXY_WIDTH;
const int SECTOR_DIMENSION = 50;
const int NUM_TECHS = 10;
const Location EMPTY = { -2,-2 };
const int NUMPLAYERS = 2;
const Rect ENDTURN(SCREEN_WIDTH - 8 * 16 - 1, SCREEN_WIDTH, SCREEN_HEIGHT - 28, SCREEN_HEIGHT);
const Rect STARTTURN(695, 855, 365, 435);
const Rect PLANET(GALAXY_WIDTH* SECTOR_DIMENSION, SCREEN_WIDTH, 0, 300);
//tech
const int WARP_DRIVE = 0;
const int NUCLEAR_MISSILES = 1;
const int ANTIMATTER_BOMBS = 2;
const int LIFE_SUPPORT = 3;
const int ADVANCED_AGRICULTURE = 4;
const int MEGACITIES = 5;
const int GENE_MANIPULATION = 6;
const int TERRAFORMING = 7;
const int OPTICS = 8;
const int TELEPORTATION = 9;

const int NO_LIMIT = 100;