#pragma once

struct Project
{
	Project()
		:
		type(' '),
		name(" "),
		cost(0),
		improvement(false)
	{};
	Project(char t,std::string n, int c, bool i)
		:
		type(t),
		name(n),
		cost(c),
		improvement(i)
	{};
	Project& operator =(Project rhs)
	{
		type = rhs.type;
		cost = rhs.cost;
		name = rhs.name;
		improvement = rhs.improvement;
		return *this;
	};
	char type;
	std::string name;
	int cost;
	bool improvement;
};

namespace Projects
{
	const Project farm('F', "Farm", 10, true);
	const Project city('C', "City", 20, true);
	const Project mine('m', "Mine",15, true);
	const Project ship('s', "Ship",1, false);
	const Project school('S', "School",15, true);
	const Project lab('L', "Lab",15, true);
	const Project workplant('W', "Workplant",15, true);
	const Project barracks('B', "Barracks",15, true);
	const Project megacity('M', "Megacity",40, true);
	const Project warp_engine('w', "Engine",20, false);
	const Project nuclear_missile('n', "Missile",15, false);
	const Project antimatter_bomb('a', "Bomb",15, false);
	const Project sector_terraform('t', "Sector Terraform", 20, false);
	const Project planet_terraform('T', "Planet Terraform", 50, false);
	const Project start(' ', " ",0, false);
}